%define _requires_exceptions perl(\\(Win32\\|FusionInventory::.*\\))
%define _provides_exceptions perl(FusionInventory::.*)

Name:		fusioninventory-agent
Version:	2.2.0
Release:	%mkrel 4
Summary:	FusionInventory agent
License:	GPL
Group:		System/Servers
URL:		http://fusioninventory.org/wordpress/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FU/FUSINV/FusionInventory-Agent-%{version}.tar.gz
Source1:	%{name}.service
BuildArch:  noarch
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
FusionInventory-Agent is an agent for OCS NG & GLPI.

%prep
%setup -q -n FusionInventory-Agent-%{version}

%build
%__perl Makefile.PL \
    PREFIX=%{_prefix} \
    SYSCONFDIR=%{_sysconfdir}/fusioninventory \
    LOCALSTATEDIR=%{_localstatedir}/lib/fusioninventory
%make

%install
rm -rf  %{buildroot}
%makeinstall_std

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent <<EOF
#!/bin/sh
%{_bindir}/fusioninventory-agent > /dev/null 2>&1
EOF
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/fusioninventory-agent <<EOF
%{_localstatedir}/log/%{name}/*.log {
    compress
    notifempty
    missingok
}
EOF

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/fusioninventory-agent.service

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}

%files
%doc Changes THANKS LICENSE README
%{_bindir}/fusioninventory-agent
%{_bindir}/fusioninventory-injector
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_localstatedir}/log/fusioninventory-agent
%{_localstatedir}/lib/fusioninventory-agent
%{_datadir}/fusioninventory
%dir %{_sysconfdir}/fusioninventory
%config(noreplace) %{_sysconfdir}/fusioninventory/agent.cfg
%config(noreplace) %{_sysconfdir}/logrotate.d/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/cron.daily/fusioninventory-agent
%{_unitdir}/fusioninventory-agent.service


%changelog

* Sat Apr 28 2012 tmb <tmb> 2.2.0-4.mga2
+ Revision: 233702
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 20 2012 guillomovitch <guillomovitch> 2.2.0-3.mga2
+ Revision: 232017
- force daemonization in systemd service file

* Tue Apr 17 2012 guillomovitch <guillomovitch> 2.2.0-2.mga2
+ Revision: 231233
- drop debian-style initscript
- add systemd support
- add README file
- 2.2.0 final

* Thu Jan 19 2012 guillomovitch <guillomovitch> 2.1.9904-1.mga2
+ Revision: 198452
- new snapshot

* Wed Nov 09 2011 guillomovitch <guillomovitch> 2.1.9902-2.mga2
+ Revision: 165886
- fix automatic dependencies

* Tue Nov 08 2011 guillomovitch <guillomovitch> 2.1.9902-1.mga2
+ Revision: 165670
- new version (2.2 beta2)
- force perl(File::ShareDir) dependency (fix #285)

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.1.9-1.mga2
+ Revision: 126732
- new version

* Sun Mar 06 2011 ennael <ennael> 2.1.7-1.mga1
+ Revision: 65511
- imported package fusioninventory-agent


* Mon Dec 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7-1mdv2011.0
+ Revision: 620627
- new version

* Wed Oct 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.6-1mdv2011.0
+ Revision: 583896
- update to new version 2.1.6

* Thu Sep 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.5-1mdv2011.0
+ Revision: 580709
- update to new version 2.1.5

* Wed Sep 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.4-1mdv2011.0
+ Revision: 578504
- update to new version 2.1.4

* Sun Sep 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.3-1mdv2011.0
+ Revision: 576169
- update to new version 2.1.3

* Mon Aug 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-1mdv2011.0
+ Revision: 572506
- update to new version 2.1.2

* Wed Aug 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2011.0
+ Revision: 571246
- new version

* Sun Aug 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdv2011.0
+ Revision: 570260
- new version

* Thu Aug 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc3.2mdv2011.0
+ Revision: 566248
- add data storage directory

* Mon Jul 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc3.1mdv2011.0
+ Revision: 560889
- new pre-version

* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc2.1mdv2011.0
+ Revision: 554587
- new version
- patch2: don't run fdisk on cdrom devices
- new version
- port some patches from ocs-agent

* Thu Apr 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2010.1
+ Revision: 540674
- import fusioninventory-agent


* Thu Apr 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2010.1
- initial mdv release
